Update an agent skill
curl --request PATCH \
--url https://api.darwin.so/api/v1/agents/{agentId}/skills/{skillId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"instructions": "<string>",
"enabledActions": [
"<string>"
],
"enabled": true,
"metadata": {}
}
'import requests
url = "https://api.darwin.so/api/v1/agents/{agentId}/skills/{skillId}"
payload = {
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"instructions": "<string>",
"enabledActions": ["<string>"],
"enabled": True,
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
slug: '<string>',
description: '<string>',
instructions: '<string>',
enabledActions: ['<string>'],
enabled: true,
metadata: {}
})
};
fetch('https://api.darwin.so/api/v1/agents/{agentId}/skills/{skillId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"skill": {
"id": "<string>",
"agentId": "<string>",
"name": "<string>",
"source": "<string>",
"status": "<string>",
"enabled": true,
"executable": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"slug": "<string>",
"description": "<string>",
"enabledActions": [
"<string>"
],
"instructions": "<string>",
"version": 123,
"versionId": "<string>",
"metadata": {}
}
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}Agent skills
Update an agent skill
PATCH
/
agents
/
{agentId}
/
skills
/
{skillId}
Update an agent skill
Authorizations
User keys begin with darwin_. Application service-account keys begin with darwin_sa_ and are restricted to linked agents.
Body
application/json
Maximum string length:
100Maximum string length:
80Maximum string length:
1000Available options:
ai, human, hybrid Available options:
PRIVATE, PUBLIC Maximum string length:
10000Maximum array length:
50Response
The updated skill.
Show child attributes
Show child attributes
⌘I